#
# spec file for package android-file-transfer-linux
#
# Copyright (c) 2025 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           android-file-transfer-linux
Summary:        Android file fransfer for Linux
Version:        4.4.0~git.20250506T233238.058dbe1
Release:        1.1
URL:            https://github.com/whoozle/android-file-transfer-linux
Source0:        %{name}-%{version}.tar.gz
License:        LGPL-2.1-only
BuildRequires:  cmake
BuildRequires:  hicolor-icon-theme
BuildRequires:  readline-devel
BuildRequires:  update-desktop-files
BuildRequires:  cmake(Qt6LinguistTools)
BuildRequires:  cmake(Qt6NetworkAuth)
BuildRequires:  pkgconfig(Qt6Core)
BuildRequires:  pkgconfig(Qt6Gui)
BuildRequires:  pkgconfig(Qt6Widgets)
BuildRequires:  pkgconfig(fuse3)
BuildRequires:  pkgconfig(libcrypto)

%description
Android File Transfer for Linux — a MTP client with minimalist UI

%prep
%autosetup

%build
%cmake
%cmake_build

%install
%cmake_install
rm %{buildroot}%{_libdir}/libmtp-ng-static.a

%files
%doc FAQ.md
%license LICENSE
%{_bindir}/aft-mtp-cli
%{_bindir}/aft-mtp-mount
%{_bindir}/android-file-transfer
%{_datadir}/metainfo/android-file-transfer.appdata.xml
%{_datadir}/applications/android-file-transfer.desktop
%{_datadir}/icons/hicolor/*/apps/android-file-transfer.png

%changelog
* Tue May  6 2025 llyyr <llyyr@yukari.in>
- Update to version 4.4.0~git.20250506T233238.058dbe1:
  * fuse3 port
  * fix GetObjectPropDesc - missing object format in API/request
  * bump version to 4.5
  * macosx CI fix
  * remove travis config
  * made clear halt optional - it seems to break newer android devices
  * claim token later and don't disconnect existing devices if they are not MTP
  * remove debug traces
  * use USBDEVFS_DISCONNECT_CLAIM
  * Add screenshot to README.md
  * add screenshot
  * pass transactionId to session getDeviceInfo
  * skip fs entries which start with .
  * check access before calling opendir (reduce number of exception)
  * Revert "switch macosx builder to qt@6"
  * switch macosx builder to qt@6
  * downgrade macosx builder
  * Revert "fix macosx bundle"
  * fix macosx bundle
  * bump cmake version
  * fix qt path
  * Allow building with Qt 6.x
* Wed Sep 18 2024 llyyr@yukari.in
- fix-missing-include.patch: remove patch, fixed upstream
- Update to version 4.3.0~git.20240730T195303.cf7036c7f7df:
  * add get-id command to cli
  * check that GetDevicePropValue is supported before calling it
  * drop old ${VERSION} variable, use base version from readme and annotate with git if it's possible.
  * update checkout action to v4
  * use execute_process instead of exec_program
  * update pybind cmake files
  * fix macOS spelling
  * remove long version string
  * remove CFBundleGetInfoString
  * fix GH actions
  * fix empty version used for plist generation
  * brew cask install -> brew install --cask
  * add SetSize and set both st_size and st_blocks
  * Fix non-empty directory removal, return ENOTEMPTY
  * bump version to 4.4
  * check ref_type and build release artefacts
  * bump ubuntu version to 20.04
  * do not proceed if -h/--help passed on the command line
  * provide uid/gid for stat structure
  * fix vendor/product filtering
  * bump minimal cmake version to 3.5
  * fix no MPT device found message box
  * do not compile python wrapper for macosx
  * add help about -D
  * rework option parser a bit
  * rename fuse_ll to fuse
  * Fix build with GCC 13 (#330)
* Fri Mar 31 2023 Bjørn Lie <bjorn.lie@gmail.com>
- Add fix-missing-include.patch: Fix missing include exposed by gcc
  13.
- Switch service to explicit git commit instead of master, and
  switch to obs_scm and manual run, tar_scm and disabledrun
  are deprecated.
* Mon Mar 13 2023 llyyr <llyyr.public@gmail.com>
- Initial package at 4.3.0~git.20221105T214638.9967dec
